[typo] Problems installing Typo 4.0.3 on Dreamhost

Matt Rose mattrose at folkwolf.net
Fri Sep 22 20:25:17 EDT 2006


Are you doing this from the trunk?  I ran into this when I downloaded  
the latest version from trunk.  This happens when you migrate a blog  
without setting it up first.  I fixed it by editing the migration so  
that it doesn't error out on the blank settings.  If you apply this  
patch, or just edit the file like the patch will it should get you  
going again.

-------------- next part --------------
A non-text attachment was scrubbed...
Name: typo-migrate.patch
Type: application/octet-stream
Size: 571 bytes
Desc: not available
Url : http://rubyforge.org/pipermail/typo-list/attachments/20060922/49ae87e2/attachment.obj 
-------------- next part --------------

Should I submit a trac ticket with this patch?




On 22-Sep-06, at 1:58 PM, Anton J Aylward wrote:

> Now, with a local copy of ruby 1.8.4 I get
>
> $ rake migrate RAILS_ENV=production --trace
> ** Invoke migrate (first_time)
> ** Invoke db:migrate (first_time)
> ** Invoke environment (first_time)
> ** Execute environment
> ** Execute db:migrate
> == FixCanonicalServerUrl: migrating  
> ===========================================
> rake aborted!
> Couldn't find FixCanonicalServerUrl::Blog with ID=1
>
>
> Linda Derezinski wrote:
>> I know nothing about dreamhost what versions of ruby and rails are  
>> you
>> running?
>> -Linda
>>
>>
>> On 9/22/06 8:18 AM, "Anton J Aylward" <aja at si.on.ca> wrote:
>>
>>> Despite making use of such references as
>>> http://www.crazybarbour.com/blog/2006/03/16/setting-up-typo-on- 
>>> dreamhost/
>>> and
>>> http://blog.aidenbordner.com/articles/2006/07/24/getting- 
>>> typo-4-0-0-running-on
>>> -dreamhost
>>> and
>>> http://www.masterofnil.com/articles/2006/08/07/installing- 
>>> typo-4-0-1-on-dreamh
>>> ost
>>> and even http://fo64.com/articles/2005/10/19/typo-dreamhost
>>> I'm having no success.
>>>
>>> Also ...
>>> Installing via gem as described in
>>> http://www.typosphere.org/trac/wiki/DownloadStable
>>> fail since this needs Ruby 1.8.4
>>>
>>> A 'rake install' fails trying to find a rakefile
>>>
>>> A '~/typo-4.0.3/bin/typo' install fails trying to find an include.
>>>
>>> Any suggestions?
>>>
>>> Anton J Aylward,  <aja at si.on.ca>
>>> System Integrity
>>> _______________________________________________
>>> Typo-list mailing list
>>> Typo-list at rubyforge.org
>>> http://rubyforge.org/mailman/listinfo/typo-list
>>
>
>
>
>
> _______________________________________________
> Typo-list mailing list
> Typo-list at rubyforge.org
> http://rubyforge.org/mailman/listinfo/typo-list



More information about the Typo-list mailing list